# eric4.VCS.vcsCVS.CvsCommandDialog

Module implementing the CVS command dialog.

### Classes

CvsCommandDialog | Class implementing the CVS command dialog.

### Functions

None

## CvsCommandDialog

Class implementing the CVS command dialog.

It implements a dialog that is used to enter an arbitrary cvs command. It asks the user to enter the commandline parameters and the working directory.

### Derived from

QDialog, Ui_CvsCommandDialog

### Methods

CvsCommandDialog | Constructor
__enableOkButton | Private method used to enable/disable the OK-button.
getData | Public method to retrieve the data entered into this dialog.
on_commandCombo_editTextChanged | Private method used to enable/disable the OK-button.
on_dirButton_clicked | Private method used to open a directory selection dialog.
on_workdirCombo_editTextChanged | Private method used to enable/disable the OK-button.

#### CvsCommandDialog (Constructor)

CvsCommandDialog(argvList, wdList, ppath, parent=None)

Constructor

argvList
  history list of commandline arguments (QStringList)
wdList
  history list of working directories (QStringList)
ppath
  pathname of the project directory (string)
parent
  parent widget of this dialog (QWidget)

#### CvsCommandDialog.__enableOkButton

__enableOkButton(text)

Private method used to enable/disable the OK-button.

text
  ignored

#### CvsCommandDialog.getData

getData()

Public method to retrieve the data entered into this dialog.

Returns:
  a tuple of argv, workdir

#### CvsCommandDialog.on_commandCombo_editTextChanged

on_commandCombo_editTextChanged(text)

Private method used to enable/disable the OK-button.

text
  ignored

#### CvsCommandDialog.on_dirButton_clicked

on_dirButton_clicked()

Private method used to open a directory selection dialog.

#### CvsCommandDialog.on_workdirCombo_editTextChanged

on_workdirCombo_editTextChanged(text)

Private method used to enable/disable the OK-button.

text
  ignored

Up